Page MenuHomePhabricator

Promote 'Commons category media viewer' to beta
Closed, ResolvedPublic

Description

AC

  • There's a mediawiki ui anchor at the bottom of the page that opens the Commons category overlay
  • The Commons category overlay is available in alpha and beta

Questions

  • The overlay currently renders a list of images. Should we update the feature to use the mobile.mediaViewer module?

Notes

  • Try to avoid making changes that require updating the Wikidata infobox as we're currently looking at turning it off (T100722)

The Commons category media viewer is an overlay displaying all the images in the article's associated Common's category (as specified in Wikidata) as an infinite scrolling list. The link to launch this viewer is currently part of the Wikidata infobox, which is being killed. The link should be changed to be its own button at the bottom of the page (and not dependent on the Wikidata infobox).

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterMove commons category to beta
mediawiki/extensions/MobileFrontend : masterMake commons category non-dependent on infobox experiment

Event Timeline

kaldari created this task.May 28 2015, 10:43 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Readers-Web-Backlog.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 10:43 PM

@phuedx The implementation method is a big issue here needing further discussion. The existing feature relies on making an API call to Wikidata, but we can't make an API call on every page load in stable, so the feature, as implemented, isn't suitable for production. A more scalable method would be to do the Wikidata look-up via the LinksUpdate hook (which triggers on article save and Wikidata item save) and output the Commons category as a JS var to the page (somewhat similar to how WikiGrok campaigns worked).

Note this feature is somewhat entangled with T100722

@kaldari @phuedx it seems we could simply add commons category to the page just like we do with wikidata description.

phuedx updated the task description. (Show Details)Jul 8 2015, 2:19 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 8 2015, 2:19 PM
Jhernandez triaged this task as Medium priority.Jul 9 2015, 4:31 PM

Change 231411 had a related patch set uploaded (by Jdlrobson):
Make commons category non-dependent on infobox experiment

https://gerrit.wikimedia.org/r/231411

Change 231412 had a related patch set uploaded (by Jdlrobson):
Move commons category to beta

https://gerrit.wikimedia.org/r/231412

kaldari removed a subscriber: kaldari.Aug 13 2015, 11:18 PM
Jhernandez added a subscriber: Jhernandez.

Moving to next sprint to give it eyeballs.

Steinsplitter added a comment.EditedAug 28 2015, 11:59 AM

Is this a new tool for categorys? Is this affecting the commons interface itself?

@Steinsplitter nope. It's a feature which allows you to view images from commons associated with a page's commons category to surface more commons content. No plans to productionise yet but could be used potentially to find and add photos to the category.

You can see the feature here:
https://en.m.wikipedia.org/wiki/San_Francisco?mobileaction=alpha#/commons-category/San Francisco
.

Jdlrobson updated the task description. (Show Details)Sep 2 2015, 4:02 PM
Jdlrobson moved this task from Backlog to Tech debt on the MobileFrontend board.Sep 2 2015, 6:57 PM

Change 231411 merged by jenkins-bot:
Make commons category non-dependent on infobox experiment

https://gerrit.wikimedia.org/r/231411

Change 231412 merged by jenkins-bot:
Move commons category to beta

https://gerrit.wikimedia.org/r/231412

Jdlrobson closed this task as Resolved.Sep 10 2015, 4:41 PM